Create Disposal Entry
POST
/api/v1/manual-entries/disposals
const url = 'https://api.qeychain.xyz/api/v1/manual-entries/disposals';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"asset":"example","quantity":1,"disposal_timestamp":"2026-04-15T12:00:00Z","disposal_type":"example","proceeds_usd":1,"is_external_flow":true,"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/manual-entries/disposals \ --header 'Content-Type: application/json' \ --data '{ "asset": "example", "quantity": 1, "disposal_timestamp": "2026-04-15T12:00:00Z", "disposal_type": "example", "proceeds_usd": 1, "is_external_flow": true, "note": "example" }'Create a manual disposal entry.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
DisposalEntryCreate
Create a manual disposal entry.
object
asset
required
Asset
string
quantity
required
Quantity
number
disposal_timestamp
required
Disposal Timestamp
string format: date-time
disposal_type
required
Disposal Type
Withdrawal, transfer, sale, lost, stolen
string
is_external_flow
Is External Flow
Affects portfolio return calculations
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}